## org.apache.lucene.analysis.nl
Class DutchAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.nl.DutchAnalyzer

    public class DutchAnalyzer

extends Analyzer

`Analyzer` for Dutch language.

Supports an external list of stopwords (words that will not be indexed at all), an external list of exclusions (word that will not be stemmed, but indexed) and an external list of word-stem pairs that overrule the algorithm (dictionary stemming). A default set of stopwords is used unless an alternative list is specified, but the exclusion list is empty by default.

NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

Field Summary
`static java.lang.String[]` `DUTCH_STOP_WORDS` List of typical Dutch stopwords.

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`DutchAnalyzer()` Deprecated. Use `DutchAnalyzer(Version)` instead
`DutchAnalyzer(java.io.File stopwords)` Deprecated. Use `DutchAnalyzer(Version, File)` instead
`DutchAnalyzer(java.util.HashSet stopwords)` Deprecated. Use `DutchAnalyzer(Version, HashSet)` instead
`DutchAnalyzer(java.lang.String[] stopwords)` Deprecated. Use `DutchAnalyzer(Version, String[])` instead
`DutchAnalyzer(Version matchVersion)` Builds an analyzer with the default stop words (`DUTCH_STOP_WORDS`) and a few default entries for the stem exclusion table.
`DutchAnalyzer(Version matchVersion, java.io.File stopwords)` Builds an analyzer with the given stop words.
`DutchAnalyzer(Version matchVersion, java.util.HashSet stopwords)` Builds an analyzer with the given stop words.
`DutchAnalyzer(Version matchVersion, java.lang.String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`TokenStream` `reusableTokenStream(java.lang.String fieldName, java.io.Reader reader)` Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
`void` `setStemDictionary(java.io.File stemdictFile)` Reads a stemdictionary file , that overrules the stemming algorithm This is a textfile that contains per line `word\tstem`, i.e: two tab seperated words
`void` `setStemExclusionTable(java.io.File exclusionlist)` Builds an exclusionlist from the words contained in the given file.
`void` `setStemExclusionTable(java.util.HashSet exclusionlist)` Builds an exclusionlist from a Hashtable.
`void` `setStemExclusionTable(java.lang.String[] exclusionlist)` Builds an exclusionlist from an array of Strings.
`TokenStream` `tokenStream(java.lang.String fieldName, java.io.Reader reader)` Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DUTCH_STOP_WORDS

    public static final java.lang.String[] DUTCH_STOP_WORDS

  List of typical Dutch stopwords.

Constructor Detail

### DutchAnalyzer

    public DutchAnalyzer()

  Deprecated. Use `DutchAnalyzer(Version)` instead

  Builds an analyzer with the default stop words (`DUTCH_STOP_WORDS`) and a few default entries for the stem exclusion table.

### DutchAnalyzer

    public DutchAnalyzer(Version matchVersion)

  Builds an analyzer with the default stop words (`DUTCH_STOP_WORDS`) and a few default entries for the stem exclusion table.

### DutchAnalyzer

    public DutchAnalyzer(java.lang.String[] stopwords)

  Deprecated. Use `DutchAnalyzer(Version, String[])` instead

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

### DutchAnalyzer

    public DutchAnalyzer(Version matchVersion,
                         java.lang.String[] stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` -
    `stopwords` -

### DutchAnalyzer

    public DutchAnalyzer(java.util.HashSet stopwords)

  Deprecated. Use `DutchAnalyzer(Version, HashSet)` instead

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

### DutchAnalyzer

    public DutchAnalyzer(Version matchVersion,
                         java.util.HashSet stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

### DutchAnalyzer

    public DutchAnalyzer(java.io.File stopwords)

  Deprecated. Use `DutchAnalyzer(Version, File)` instead

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

### DutchAnalyzer

    public DutchAnalyzer(Version matchVersion,
                         java.io.File stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

Method Detail

### setStemExclusionTable

    public void setStemExclusionTable(java.lang.String[] exclusionlist)

  Builds an exclusionlist from an array of Strings.

  Parameters:
    `exclusionlist` -

### setStemExclusionTable

    public void setStemExclusionTable(java.util.HashSet exclusionlist)

  Builds an exclusionlist from a Hashtable.

### setStemExclusionTable

    public void setStemExclusionTable(java.io.File exclusionlist)

  Builds an exclusionlist from the words contained in the given file.

### setStemDictionary

    public void setStemDictionary(java.io.File stemdictFile)

  Reads a stemdictionary file , that overrules the stemming algorithm This is a textfile that contains per line `word\tstem`, i.e: two tab seperated words

### tokenStream

    public TokenStream tokenStream(java.lang.String fieldName,
                                   java.io.Reader reader)

  Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A `TokenStream` built from a `StandardTokenizer` filtered with `StandardFilter`, `StopFilter`, and `DutchStemFilter`

### reusableTokenStream

    public TokenStream reusableTokenStream(java.lang.String fieldName,
                                           java.io.Reader reader)
                                    throws java.io.IOException

  Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.

  Overrides:
    `reusableTokenStream` in class `Analyzer`
  Returns:
    A `TokenStream` built from a `StandardTokenizer` filtered with `StandardFilter`, `StopFilter`, and `DutchStemFilter`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.